curl --request GET \
--url https://{base_url}/api/v1/payperiods/{payperiod_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{base_url}/api/v1/payperiods/{payperiod_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{base_url}/api/v1/payperiods/{payperiod_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{base_url}/api/v1/payperiods/{payperiod_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{base_url}/api/v1/payperiods/{payperiod_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{base_url}/api/v1/payperiods/{payperiod_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{base_url}/api/v1/payperiods/{payperiod_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "2106_898371",
"calendar": "Weekly",
"closed": null,
"finishDate": "2026-04-22",
"hours": 0,
"numberEmployees": 0,
"numberTimesheets": 0,
"payRollCompanyId": "",
"payRollProvider": "iPayroll",
"startDate": "2026-04-16"
}Get a pay period
Returns details about a single pay period by its ID.
curl --request GET \
--url https://{base_url}/api/v1/payperiods/{payperiod_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{base_url}/api/v1/payperiods/{payperiod_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{base_url}/api/v1/payperiods/{payperiod_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{base_url}/api/v1/payperiods/{payperiod_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{base_url}/api/v1/payperiods/{payperiod_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{base_url}/api/v1/payperiods/{payperiod_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{base_url}/api/v1/payperiods/{payperiod_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "2106_898371",
"calendar": "Weekly",
"closed": null,
"finishDate": "2026-04-22",
"hours": 0,
"numberEmployees": 0,
"numberTimesheets": 0,
"payRollCompanyId": "",
"payRollProvider": "iPayroll",
"startDate": "2026-04-16"
}Authorizations
Access token obtained from /oauth/token. Pass as Authorization: Bearer {token}
Path Parameters
The unique identifier of the pay period to retrieve
"2106_898371"
Response
Pay period details
The unique identifier for the pay period
"2106_898371"
The name of the pay calendar this period belongs to
"Weekly"
The date the pay period was closed, in YYYY-MM-DD format. Null if not yet closed.
null
The end date of the pay period in YYYY-MM-DD format
"2026-04-22"
Total hours worked in this pay period
0
The number of employees with timesheets in this pay period
0
The total number of timesheets in this pay period
0
The payroll company identifier. Empty string if not assigned.
""
The name of the payroll provider for this pay period
"iPayroll"
The start date of the pay period in YYYY-MM-DD format
"2026-04-16"
Was this page helpful?

.png?fit=max&auto=format&n=fTXEPIUfjW4rC1Pi&q=85&s=85d7b852879d29ad2bde9b743307ab0e)